#ifndef UART_H
#define UART_H
#include <stdint.h>
#define F_OSC	3686400L

#define UART_BAUD_CALC(BAUD_RATE) (((F_OSC)/((BAUD_RATE*8.0))+0.5)-1)

extern void uart_init(uint16_t baud);
extern void uart_putc(char c);
extern void uart_write(const char * c);
extern void uart_write_P(const char * c);
extern void uart_hex(uint8_t v);
extern char uart_getc(void);
extern uint8_t uart_recv_buf_size(void);
extern uint8_t uart_send_buf_size(void);

#endif
