#include "calibration.h"

prog_uint8_t red_calibration[]= {
0,0,
//50,10,
//100,30,
/*
150,80,
200,140,
*/
0xFF,0xFF
};
prog_uint8_t green_calibration[]= {
0,0,
//50,10,
//100,30,
//150,80,
//200,140,
0xFF,0xFF
};
prog_uint8_t blue_calibration[]= {
0,0,
//50,10,
//100,30,
//150,76,
//200,136,
0xFF,0xFF
};


uint8_t get_calibration(prog_uint8_t data[], uint8_t value) {
  uint8_t low_pos;
  uint8_t low_val;
  uint8_t high_pos;
  uint8_t high_val;
  while (pgm_read_byte(&data[2])<value) {
    data+=2;
  } 
  low_pos=pgm_read_byte(&data[0]);
  low_val=pgm_read_byte(&data[1]);
  high_pos=pgm_read_byte(&data[2]);
  high_val=pgm_read_byte(&data[3]);
  high_val-=low_val;
  high_pos-=low_pos;
  value-=low_pos;
  return low_val+value*high_val/high_pos;
}

